Bug 1732534 - Support cephfs_ganesha_export_ips parameter
Summary: Support cephfs_ganesha_export_ips parameter
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: puppet-manila
Version: 16.0 (Train)
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: Upstream M3
: 16.0
Assignee: Tom Barron
QA Contact: nlevinki
Chuck Copello
URL:
Whiteboard:
Depends On:
Blocks: 1790756 1575079
TreeView+ depends on / blocked
 
Reported: 2019-07-23 15:36 UTC by Tom Barron
Modified: 2020-01-30 19:02 UTC (History)
6 users (show)

Fixed In Version: puppet-manila-15.2.0-0.20190807024528.90137b3.el8ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-09 11:22:13 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 672148 'None' MERGED Support cephfs_ganesha_export_ips parameter 2020-01-30 16:28:26 UTC

Description Tom Barron 2019-07-23 15:36:01 UTC
Description of problem: 

Manila now [1] supports configuring a list of IP addresses
or hostnames on which NFS-ganesha will listen for mounts and
provide NFS service.

This BZ is for the work to expose this parameter in the backend manifests for manila with CephFS.

[1] https://review.opendev.org/#/c/670510

Additional Info: We need to be able to set multiple export IPs in order to support  IPv6 exports in addition to IPv4 exports.

Comment 2 Tom Barron 2019-07-31 21:05:21 UTC
review 672148 merged upstream

Comment 7 Tom Barron 2019-12-09 11:22:13 UTC
Ganesha cannot currently support both IPv4 and IPv6 export addresses at the same time without listening on *all* interfaces, which we don't want to do in OSP director deployments with isolated networks.  So even though upstream Manila can run IPv4 and IPv6 exports concurrently via this configuration knob and we should expose it in puppet-manila per this BZ, we will not make corresponding tripleo-heat templates to exercise it.  Rather, the export IP for NFS ganesha will be either IPv4 or IPv6 (exclusive or) and will be set by corosync as a VIP address on the Storage NFS network rather than controlled by manila.conf.
We really don't have a feature or behavior for downstream QE to test in our  product with this BZ so I'm going to close it out with the puppet configureation included in the current release.


Note You need to log in before you can comment on or make changes to this bug.